CPluginModule Class Reference
Plug-in handling

The plugin module loading class. More...

`#include <mia/core/module.hh>`

## Public Member Functions

| CPluginModule (const char *path)
CPluginBase * | get_interface () const
const std::string & | get_name () const
void | set_keep_library ()
void | set_unload_library ()
| ~CPluginModule ()

## Detailed Description

The plugin module loading class.

This class handles the loading of shared object modules and hides all the ugliness of platform dependency.

Definition at line 48 of file module.hh.

## Constructor & Destructor Documentation

## CPluginModule()

CPluginModule::CPluginModule | ( | const char * | path | ) |

Constructor that takes the path to the module, tries to open it, and will throw an invalid_argument exception, if the module can not be loaded

## ~CPluginModule()

CPluginModule::~CPluginModule | ( |  | ) |

## Member Function Documentation

## get_interface()

CPluginBase * CPluginModule::get_interface | ( |  | ) | const

Returns
  the plug-in object implemented in the module or NULL, if the module does not proide such plug-in

## get_name()

const std::string & CPluginModule::get_name | ( |  | ) | const

Returns
  the file name of the module

## set_keep_library()

void CPluginModule::set_keep_library | ( |  | ) |

## set_unload_library()

void CPluginModule::set_unload_library | ( |  | ) |

tell the DLL loader that it should unload this library when the modules is destroyed

The documentation for this class was generated from the following file:

- module.hh